- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# KeySwitchMatrixManipulator File Reference

`#include <osgGA/Export>`
`#include <osgGA/MatrixManipulator>`
`#include <osgGA/GUIEventHandler>`
`#include <osgGA/GUIEventHandlerVisitor>`

Include dependency graph for KeySwitchMatrixManipulator:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgGA
## Classes
class | osgGA::KeySwitchMatrixManipulator
| KeySwitchMatrixManipulator is a decorator which allows the type of camera manipulator being used to be switched by pressing a key. More...
## Defines
#define | OSGUTIL_KEYSWITCMATRIXMANIPULATOR 1

## Define Documentation

#define OSGUTIL_KEYSWITCMATRIXMANIPULATOR 1